# Generated by Django 4.1.7 on 2023-05-25 09:35

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Chat",
            fields=[
                ("id", models.AutoField(primary_key=True, serialize=False)),
                ("subject", models.CharField(max_length=200)),
                ("ticket", models.IntegerField(default=0)),
                ("userid", models.IntegerField(default=0)),
            ],
        ),
        migrations.CreateModel(
            name="Conversation",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("conversation_text", models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name="Message",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("message", models.CharField(max_length=200)),
                ("messageDate", models.DateTimeField(verbose_name="MessageDate")),
                (
                    "chat",
                    models.ForeignKey(
                        default=0,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="live1.chat",
                    ),
                ),
            ],
        ),
        migrations.AddField(
            model_name="chat",
            name="conversation",
            field=models.ForeignKey(
                default=0,
                on_delete=django.db.models.deletion.CASCADE,
                to="live1.conversation",
            ),
        ),
    ]
